Description

Currently the services run unconfined because pulpcore-selinux only labels /usr/{local,lib/pulp}/bin/{gunicorn,rq} but RPM packages

install to /usr/bin/{gunicorn,rq}. Labelling those with pulpcore_exec_t feels incorrect so I'm suggesting to introduce

/usr/libexec/pulpcore/{gunicorn,rq} wrappers with the correct SELinux labels.

Associated revisions

Revision d9eec934 - 10/09/2020 11:22 AM - Ewoud Kohl van Wijngaarden

Fixes #30465 - Use libexec wrappers for SELinux

In python3-pulpcore 3.7.1-2 the /usr/libexec/pulpcore wrappers have been

introduced to enter the proper SELinux domain.

It has also been cherry picked to 3.6.3-2 but in the SELinux policy is

incomplete so it has no effect. The main benefit of that cherry pick is

to keep the module compatible with both 3.6 and 3.7.

History

#1 - 07/22/2020 04:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/116 added

#2 - 07/30/2020 02:11 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.2.0

- Triaged changed from No to Yes

#3 - 08/12/2020 01:31 PM - Eric Helms

- Target version changed from 2.2.0 to 2.3.0

#4 - 10/09/2020 04:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|d9eec934b5ee278128b00f87479c9f5ea7fc08f5.

#5 - 11/23/2020 02:06 PM - Tomer Brisker

- Fixed in Releases 2.3.0 added
